function ravearrangeobjectspreferencesliders(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.


handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

%raveresizeaxes(src,[],handles.activeindex)
axpos=get(handles.activegraph,'position');
nvars=numel(udata.view.x);

rpix=14.7; %pixels per row of text.
tpix=rpix*(nvars+1); %total number of pixels needed to display all vars.
dpix = axpos(4); %number of pixels visible at any time.
slpos=[axpos(1)+axpos(3) axpos(2)-1 17 axpos(4)+1];
ndisp=floor(axpos(4)/rpix);


set(handles.activegraph,'ylim',[1 ndisp*rpix]);
delete(udata.view.scroll)
vscroll=drawvscroll(handles.wspanel,handles.activegraph,slpos,0,tpix,dpix,tpix,@sliderscroll,1);
udata.view.scroll=vscroll;
set(handles.fakeax(handles.activeindex),'userdata',udata);

set(udata.view.check,'pos',[axpos(1)+10 axpos(2)-19 13 13])
