function ravearrangeobjectsdiscretecontrols(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

%raveresizeaxes(src,[],handles.activeindex)
origin=get(handles.activegraph,'position');


set(handles.activegraph,'xlim',[1 origin(3)],'ylim',[1 origin(4)]);
%set(handles.fakeax(handles.activeindex),'userdata',udata);


set(udata.view.pointbutton,'position',[origin(1)+10 origin(2)+50 26 26]);
set(udata.view.boxbutton,'position',[origin(1)+40 origin(2)+50 26 26]);
set(udata.view.lassobutton,'position',[origin(1)+70 origin(2)+50 26 26]);
set(udata.view.hidebutton,'position',[origin(1)+130 origin(2)+50 26 26]);

for c=1:10
    set(udata.view.colorbuttons(c),'position',[origin(1)+10+22*(c-1) origin(2)+0 18 18]);
end



