function buttondownfcnline(src,ev)
%determines what to do when a scatter plot is clicked, then does it.

handles=guidata(src);
ai=find(handles.allgraphs==src);
udata=get(handles.fakeax(ai),'userdata');

%determine if selection is active:
switch handles.selectionmode
    case 'point'
        %note: point selection happens by clicking data series, not axes.
        set(get(handles.activegraph,'children'),'HitTest','on')
        unselectfcn(src,[]);
    case 'box'
        set(get(handles.activegraph,'children'),'HitTest','off')
        boxselectline(src,[]);
    case 'lasso'
        set(get(handles.activegraph,'children'),'HitTest','off')
       %lassoselectline(src,[]);
    otherwise %do nothing
        set(get(handles.activegraph,'children'),'HitTest','off')
        
end


function unselectfcn(src,ev)
%determine which point was clicked:
handles=guidata(src);
ai=find(handles.allgraphs==src);
udata=get(handles.fakeax(ai),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;
handles.isselected{d}{a}=false(size(handles.isselected{d}{a}));
guidata(src,handles);

%update other graphs:
raveupdateanalysis(src,[],'isselected',1);




