function raveupdatelineisselected(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
getudata;
ai=handles.activeindex;

selectedhandles=findobj(handles.allgraphs(ai),'tag','selected');
main=findobj(handles.allgraphs(ai),'type','line','marker','none');

inpoints=find(handles.isselected{udata.view.dataset}{udata.view.analysis});

%need to set all data properties so dimensions are correct.
if isempty(inpoints)
    set(selectedhandles,'visible','off')%,'userdata',false(size(handles.temp.xdata)))
else
    for j=1:length(selectedhandles)
        ycol=get(selectedhandles(j),'userdata');
        thismain=findobj(main,'markersize',ycol);
        ydata=get(thismain,'ydata');
        xdata=get(thismain,'xdata');
        set(selectedhandles(j),'xdata',xdata(inpoints),'ydata',ydata(inpoints),'visible','on');
    end
end






