function raveupdatescatter3Disselected(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
getudata;
ai=handles.activeindex;

selectedhandles=findobj(handles.allgraphs(ai),'tag','selected');
maindata=findobj(handles.allgraphs(ai),'tag','main');

xdata=get(maindata,'xdata');
ydata=get(maindata,'ydata');
zdata=get(maindata,'zdata');
cdata=get(maindata,'cdata');
sdata=get(maindata,'sizedata');

d=udata.view.dataset;
a=udata.view.analysis;

inpoints=handles.isselected{d}{a};
nothidden=handles.isvisible{d}{a};

inpoints=inpoints(nothidden);

if isempty(inpoints)
    set(selectedhandles,'visible','off','userdata',false(size(handles.temp.xdata)))
else
    %need to set all data properties so dimensions are correct.
    set(selectedhandles,'xdata',xdata(inpoints),'ydata',ydata(inpoints),'zdata',zdata(inpoints),...
        'cdata',cdata(inpoints),'sizedata',sdata(inpoints),'visible','on','userdata',inpoints);
    if udata.view.s==0 %isallonesize
        set(get(selectedhandles,'children'),'markersize',sqrt(udata.format.minmarkersize));
    end
    
end