function buttondownfcnscattermatrix(src,ev)
%determines what to do when a subax in a scattermatrix is clicked, then does it.

handles=guidata(src);
ai=get(src,'userdata'); %subax userdata is activeindex. 
%udata=get(handles.fakeax(ai),'userdata');


%if this is the active graph, select subax:
if ai==handles.activeindex
    raveselectsubgraph(src,[]);
end


%determine if selection is active:
switch handles.selectionmode
    case 'point'
        set(get(gca,'children'),'HitTest','on')
        unselectfcn(src,[]);
    case 'box'
        set(get(gca,'children'),'HitTest','off')
        boxselectscattermatrix(src,[]);
    case 'lasso'
        set(get(gca,'children'),'HitTest','off')
        lassoselectscattermatrix(src,[]);
    otherwise %do nothing
        set(get(gca,'children'),'HitTest','off')
        
end


function unselectfcn(src,ev)
%determine which point was clicked:
handles=guidata(src);
ai=get(src,'userdata');
udata=get(handles.fakeax(ai),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;
handles.isselected{d}{a}=false(size(handles.isselected{d}{a}));
guidata(src,handles);

%update other graphs:
raveupdateanalysis(src,[],'isselected',1);
