function raveinitializescattermatrix(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
%make scatterplot by default contain the first two variables in the
%list. for SPM x is vector of all vars to include, y and c are not
%used.
x=[1 2];

%initialize subplot axes structure:
handles.subax{handles.activeindex}=[];
handles.subfakeax{handles.activeindex}=[];
handles.subfakerax{handles.activeindex}=[];



udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.x=x;
udata.view.y=x;
udata.view.z=0;
udata.view.c=0;
udata.view.s=0;
udata.view.response=0; %response check box value
udata.view.exclude=0; %exclude constant check box value
udata.view.layout='square'; %options: square, lower, upper, rectangle.
udata.view.constraints=0;

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.mcmap=1; %marker colormap (index?)
udata.format.markerfill=2;
udata.format.linestyle='-'; %line style string
udata.format.linesize=2; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.colorbar=0;
udata.format.cbarhandle=0;
udata.format.title='';
udata.format.reversecolors=0;
udata.format.nxlabelrows=0;

%make explre tab info:
udata.explore.option=1;
udata.explore.method=cell(0);

set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);

%make the graph
ravecreatescattermatrix(handles.fig,[]);
