function raveinitializewate(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);


%viewtab info:
udata.view.x=0;
udata.view.y=0;
udata.view.z=0;
udata.view.c=0;
udata.view.s=0;
udata.view.path=handles.defaultdir;
udata.view.filename='';
udata.view.dataset=1;
udata.view.analysis=1;
udata.view.os='unix'; %os that created this cross section.
udata.view.invalid=1; %invalid until a file is selected.
udata.view.newnose=0; %draw pointy spinners.
udata.view.linked=0;

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.bold=[0 0 0 0];
udata.format.linecolor=[0 .5 1;1 0 .5;1 .5 0;.5 1 0]; %main data series color;
udata.format.nxlabelrows=0;


set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);

%make the graph
ravecreatewate(handles.fig,[]);
