function raveupdatewateisselected(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
getudata;
ai=handles.activeindex;

d=udata.view.dataset;
a=udata.view.analysis;

inpoints=handles.isselected{d}{a};

if numel(find(inpoints))~=1;return;end;
if ~udata.view.linked;return;end;

filez=dir(udata.view.path);
filenamez=cell(0);
for g=1:numel(filez)
    thisname=filez(g).name;
    if length(thisname)>2 && strcmp(thisname(end-1:end),'ps')
        filenamez{end+1}=thisname; %#ok<AGROW> cant determine final size ahead of time.
    end
    
end

index=find(inpoints);

if index>numel(filenamez);index=numel(filenamez);end;

newname=filenamez(index);
udata.view.filename=newname;

set(handles.fakeax(ai),'userdata',udata);

ravecreatewate(handles.fig,[]);
