%these properties must be included for all graphs:
properties.axesformat='single'; %options: single, 3D, row, matrix, table, custom. (row is for histogram/cdf). If 'custom' you must also include a ravearrangeobjects<keyword>.m function that arranges all elements of this grpah to fit in its bounding box.
properties.hascolorbar=false; %true if this graph can ever have a colorbar. If true, you must also include the field udata.format.colorbar in the raveinitialize<keyword>.m file. 
properties.israsterizable=true; %true if you want this graph to be rasterizable. (false for things that are already images or are too simple to bother). 
properties.minheight=196; %smallest allowable height for this graph type, in pixels. Use 196 unless there is a reason to change it.
properties.minwidth=196; %smallest allowable width for this graph type, in pixels. Use 196...
properties.hidewhenmoving=true; %hide data in this graph when moving or resizing it. use true for complex graphs. 
properties.inset=[0 0 8 8]; %either a 4-element inset vector (see help axes properties - tight inset) or the string 'custom'. If 'custom', you must also include a raveresizeaxes<keyword>.m function that resizes the graph to fit within its bounding box. See image or scattermatrix for examples. 
properties.updates={'xdials','visiblerows','constraints','isselected','rowcolors','variablecolors','preferences','targets','addrows','replaceall'}; %a string array with any subset of these options. This graph will refresh whenever one of the options in this list is changed (for this graph's analysis/dataset. the first 6 options are for analyses, the last 4 are for datasets.). 



%these properties are optional (but are necessary to accomplish certain things...)
properties.deletehandles={'udata.view.vscroll';'udata.view.hscroll'}; %this field is optional. use to delete things like scrollbars that get created for this graph but arent stored in one of the standard axes/subax. 
properties.constraintdrawing='2D'; %either 1D, 2D, 3D, none, or custom. Determines how constraints are drawn on this graph. 