function raveinitializehyperslice(src,ev)
handles=guidata(src);

%make scatterplot by default contain the first two variables in the
%list. for SPM x is vector of all vars to include, y and c are not
%used.

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
%inputs.xdials=[];

for dd=numel(handles.alldata):-1:1 %for each dataset:
    z=find(handles.isfunction{dd},1);
    if ~isempty(z)
        inputs.z=z;
        inputs.dataset=dd;
        inputs.x=handles.funvars{dd}{z};
        inputs.x=inputs.x(~strcmp('constant',handles.datatype{dd}(inputs.x)));
        inputs.y=inputs.x;
        udata.view.isvalid=1;
        break
    end
end

if isempty(z) || isempty(inputs.x);
    inputs.x=[];
    inputs.y=[];
    inputs.z=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
end

%initialize subplot axes structure:
handles.subax{handles.activeindex}=[];
handles.subfakeax{handles.activeindex}=[];
handles.subfakerax{handles.activeindex}=[];

udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.y=inputs.y;
udata.view.x=inputs.x;
udata.view.z=inputs.z;
udata.view.c=0;
udata.view.s=0;

udata.view.c=inputs.z;
udata.view.response=0; %response check box value
udata.view.exclude=0; %exclude constant check box value
udata.view.layout='square'; %options: square, lower, upper, rectangle.
%         udata.view.mainhandles=cell(0); %[vector of contour handles returned by contourplot function]
%         udata.view.tracerhandles=cell(0); %[verticaltracer horizontaltracer]
udata.view.ncont=20; %number of contours to draw
udata.view.smooth=20; %number of points to use in contour grid
udata.view.levels=[]; %contour levels to evaluate (filled in by ravecreatehyperslice);
udata.view.constraints=0;

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.mcmap=4; %marker colormap (index?)
udata.format.markerfill=2;
udata.format.linestyle='-'; %line style string
udata.format.linesize=2; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.colorbar=0;
udata.format.cbarhandle=0;
udata.format.title='';
udata.format.reversecolors=0;
udata.format.bold=0; %bold tracers
udata.format.usevariablecolors=0; %for tracers
udata.format.tracercolor=handles.colors.text;
udata.format.showpoints=0;
udata.format.nxlabelrows=0;

%make explre tab info:
udata.explore.option=1;
udata.explore.method=cell(0);



set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);

%make the graph
ravecreatehyperslice(handles.fig,[]);

