function raveinitializepreferencesliders(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);

set(handles.allblockers(handles.activeindex),'edgecolor',[0 .5 1])
set(handles.expblockers(handles.activeindex),'edgecolor',[0 .5 1])
set(handles.grabbers{handles.activeindex},'markerfacecolor',[0 .5 1]);

udata.view.dataset=1;
udata.view.analysis=1;
udata.view.x=find(handles.isfunction{1});

if isempty(udata.view.x);udata.view.x=1;end

udata.view.y=0;
udata.view.z=0;
udata.view.c=0;
udata.view.s=0;
udata.view.scroll=[];
udata.view.check=[];

udata.format.title='';
udata.format.usevariablecolors=true;
udata.format.style='rave';
udata.format.facecolor=handles.colors.text;
udata.format.marker='o';
udata.format.mcmap=4; %colormap index, 4 = cool
udata.format.cmap=cool(128); %actual colors
udata.format.reversecolors=0;
set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);
ravecreatepreferencesliders(handles.fig,[]);

