function ravearrangeobjectsparallelcoords(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

axpos=get(handles.activegraph,'position');
nvars=numel(udata.view.x);
width=axpos(3)/(nvars-1);
maxchars=round(width/9); %approx 8 pixel per character

%for resize axis labels to fit on diagonals:
labelz=findobj(handles.activegraph,'tag','axeslabel');

for g=numel(labelz):-1:1

    oldstring=unlinewrap(get(labelz(g),'string'));
    newstring=linewrap(oldstring,maxchars);
    set(labelz(g),'string',newstring);
end
