function raveinitializetablesinglepoint(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src,ev);

   
        %delete fakerax and replace with a uipanel:
        
        udata.view.maxpos=get(handles.fakerax(handles.activeindex),'position');
        
        delete(handles.fakerax(handles.activeindex));
        handles.fakerax(handles.activeindex)=uipanel('units','pixels',...
            'parent',handles.wspanel,'position',get(handles.fakeax(handles.activeindex),'position')+[-2 7 -15 -16],...
            'bordertype','line','highlightcolor',[0 0 0]);
        set(handles.fakeax(handles.activeindex),'parent',handles.fakerax(handles.activeindex));
        set(handles.allgraphs(handles.activeindex),'parent',handles.fakerax(handles.activeindex));
        uistack(handles.allgraphs(handles.activeindex),'top')
        
        set(handles.grabbers{handles.activeindex},'buttondownfcn',@ravemovetable);
        
        udata.view.x=0;
        udata.view.y=0;
        udata.view.z=0;
        udata.view.c=0;
        udata.view.s=0;
        udata.view.colnames={};
        udata.view.colwidths=[200]; %#ok<NBRAK>
        udata.view.rowheight=16;
        udata.view.dataset=1;
        udata.view.analysis=1;
        udata.view.rownames=handles.allnames{1};
        udata.view.data=handles.alldata{1}(1,:)';
        udata.view.headerheight=0;
        udata.view.headerwidth=200;
        udata.view.tight=1;
        udata.view.vscroll=[]; %handles of vscroll bar
        udata.view.hscroll=[]; %handles of hscroll bar
        
        udata.format.colheadercolor=[.678 .921 1];
        udata.format.rowheadercolor=[.678 .921 1];
        udata.format.gridlinecolor=[.2 .2 .2];
        
        %initialize subplot axes structure:
        handles.subax{handles.activeindex}=[]; %used for row/column headers
        handles.subfakeax{handles.activeindex}=[]; %these are never used for tables
        handles.subfakerax{handles.activeindex}=[]; %these are never used for tables
        
        set(handles.fakeax(handles.activeindex),'userdata',udata);
        
        %update guidata
        guidata(handles.fig,handles);
        
        ravecreatetablesinglepoint(handles.fig,[]);
        