function raveupdatemaintable(src,ev)

handles=guidata(src);
d=handles.maintable.d;
a=handles.maintable.a;

% if d==0 && numel(handles.alldata)==1
%     d=1;
%     handles.maintabl.d=1;
%     guidata(handles.fig,handles);
% end

if d==0;return;end;

jtable=handles.maintable.jtable;
%tablemodel=jtable.getModel; %mtable uses defaulttablemodel

jtable.setModel(handles.maintable.models{d});

%make row headers:
for r=1:size(handles.alldata{d},1);
    rowz{r} = num2str(r);
end

rowHeader=javax.swing.JList(rowz);
rowRend=RowHeaderRenderer(jtable);
rowHeader.setCellRenderer(rowRend);
rowHeader.setFixedCellWidth(50);
rowHeader.setFixedCellHeight(jtable.getRowHeight());
handles.maintable.jscroll.setRowHeaderView(rowHeader);


%make column headers:

isFunction=handles.isfunction{d};
iconImage=java.awt.Toolkit.getDefaultToolkit.createImage('function.png');
icon=javax.swing.ImageIcon(iconImage);
for c=1:size(handles.alldata{d},2);
    if isFunction(c)
        rhr=RaveHeaderRenderer();
        rhr.setIcon(icon);
        col=jtable.getColumnModel().getColumn(c-1);
        col.setHeaderRenderer(rhr);
    end
end


