function nondominatedRank = nonDominatedRank(score,nParent)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%matts version

%score=-1*score;

i=1; %frontier counter
N=size(score,1);

isnondominated=false(N,1);
bigindex=1:N;
rank=zeros(N,1);

while ~isempty(score) && i<=N
    bigindex=bigindex(~isnondominated); %this one contains all points at the start of this iteration
    %isfeasible=~cviolation(bigindex);
    isnondominated=paretofront(score);
    
    %F{i}=bigindex(isnondominated & isfeasible);
    rank(bigindex(isnondominated))=i;
    i=i+1;
    
    score=score(~isnondominated,:);
end


rank(rank==0)=max(rank)+1;

nondominatedRank=rank;




