function viewtab(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2011 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

handles=guidata(src);
handles.activetab='view';
guidata(src,handles);
ravechangetab(handles.fig,[]);
set(handles.infobar,'string','');


if handles.tablemode
    viewtabmaintable(handles.fig,[])
elseif ~isempty(handles.activegraph)
    %% customize for currentgraph type
    if exist(which(['viewtab',handles.activetype]),'file')
        eval(['viewtab',handles.activetype,'(handles.fig,[]);']);
    else
        viewtabgeneric(handles.fig,[]);
        return;
    end
else
   viewtabgeneric(handles.fig,[]);
end

